/**  版本信息模板在安装目录下，可自行修改。
* T_FaultRepair_Evaluate.cs
*
* 功 能： N/A
* 类 名： T_FaultRepair_Evaluate
*
* Ver    变更日期             负责人  变更内容
* ───────────────────────────────────
* V0.01  2022/8/16 16:36:24   N/A    初版
*
* Copyright (c) 2012 Maticsoft Corporation. All rights reserved.
*┌──────────────────────────────────┐
*│　此技术信息为本公司机密信息，未经本公司书面同意禁止向第三方披露．　│
*│　版权所有：动软卓越（北京）科技有限公司　　　　　　　　　　　　　　│
*└──────────────────────────────────┘
*/
using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using RMYY_CallCenter_Api.DB;

namespace RMYY_CallCenter_Api.DAL
{
	/// <summary>
	/// 数据访问类:T_FaultRepair_Evaluate
	/// </summary>
	public partial class T_FaultRepair_Evaluate
	{
		public T_FaultRepair_Evaluate()
		{}
		#region  BasicMethod

		/// <summary>
		/// 得到最大ID
		/// </summary>
		public int GetMaxId()
		{
		return DbHelperSQL.GetMaxID("F_EvaluateId", "T_FaultRepair_Evaluate"); 
		}

		/// <summary>
		/// 是否存在该记录
		/// </summary>
		public bool Exists(int F_EvaluateId)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) from T_FaultRepair_Evaluate");
			strSql.Append(" where F_EvaluateId=@F_EvaluateId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_EvaluateId", SqlDbType.Int,4)
			};
			parameters[0].Value = F_EvaluateId;

			return DbHelperSQL.Exists(strSql.ToString(),parameters);
		}


		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int Add(RMYY_CallCenter_Api.Model.T_FaultRepair_Evaluate model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into T_FaultRepair_Evaluate(");
			strSql.Append("F_WorkOrderCode,F_Attitude,F_Quality,F_EvaluateContent,F_EvaluationTime,F_Evaluator,F_Isdelete,F_UpdateTime,F_Efficiency)");
			strSql.Append(" values (");
			strSql.Append("@F_WorkOrderCode,@F_Attitude,@F_Quality,@F_EvaluateContent,@F_EvaluationTime,@F_Evaluator,@F_Isdelete,@F_UpdateTime,@F_Efficiency)");
			strSql.Append(";select @@IDENTITY");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WorkOrderCode", SqlDbType.NVarChar,100),
					new SqlParameter("@F_Attitude", SqlDbType.Int,4),
					new SqlParameter("@F_Quality", SqlDbType.Int,4),
					new SqlParameter("@F_EvaluateContent", SqlDbType.NVarChar,500),
					new SqlParameter("@F_EvaluationTime", SqlDbType.DateTime),
					new SqlParameter("@F_Evaluator", SqlDbType.NVarChar,50),
					new SqlParameter("@F_Isdelete", SqlDbType.Int,4),
					new SqlParameter("@F_UpdateTime", SqlDbType.DateTime),
                  new SqlParameter("@F_Efficiency", SqlDbType.Int,4)
            };
			parameters[0].Value = model.F_WorkOrderCode;
			parameters[1].Value = model.F_Attitude;
			parameters[2].Value = model.F_Quality;
			parameters[3].Value = model.F_EvaluateContent;
			parameters[4].Value = model.F_EvaluationTime;
			parameters[5].Value = model.F_Evaluator;
			parameters[6].Value = model.F_Isdelete;
			parameters[7].Value = model.F_UpdateTime;
            parameters[8].Value = model.F_Efficiency;

            object obj = DbHelperSQL.GetSingle(strSql.ToString(),parameters);
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(RMYY_CallCenter_Api.Model.T_FaultRepair_Evaluate model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update T_FaultRepair_Evaluate set ");
			strSql.Append("F_WorkOrderCode=@F_WorkOrderCode,");
			strSql.Append("F_Attitude=@F_Attitude,");
			strSql.Append("F_Quality=@F_Quality,");
			strSql.Append("F_EvaluateContent=@F_EvaluateContent,");
			strSql.Append("F_EvaluationTime=@F_EvaluationTime,");
			strSql.Append("F_Evaluator=@F_Evaluator,");
			strSql.Append("F_Isdelete=@F_Isdelete,");
			strSql.Append("F_UpdateTime=@F_UpdateTime");
			strSql.Append(" where F_EvaluateId=@F_EvaluateId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WorkOrderCode", SqlDbType.NVarChar,100),
					new SqlParameter("@F_Attitude", SqlDbType.Int,4),
					new SqlParameter("@F_Quality", SqlDbType.Int,4),
					new SqlParameter("@F_EvaluateContent", SqlDbType.NVarChar,500),
					new SqlParameter("@F_EvaluationTime", SqlDbType.DateTime),
					new SqlParameter("@F_Evaluator", SqlDbType.NVarChar,50),
					new SqlParameter("@F_Isdelete", SqlDbType.Int,4),
					new SqlParameter("@F_UpdateTime", SqlDbType.DateTime),
					new SqlParameter("@F_EvaluateId", SqlDbType.Int,4)};
			parameters[0].Value = model.F_WorkOrderCode;
			parameters[1].Value = model.F_Attitude;
			parameters[2].Value = model.F_Quality;
			parameters[3].Value = model.F_EvaluateContent;
			parameters[4].Value = model.F_EvaluationTime;
			parameters[5].Value = model.F_Evaluator;
			parameters[6].Value = model.F_Isdelete;
			parameters[7].Value = model.F_UpdateTime;
			parameters[8].Value = model.F_EvaluateId;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_EvaluateId)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_FaultRepair_Evaluate ");
			strSql.Append(" where F_EvaluateId=@F_EvaluateId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_EvaluateId", SqlDbType.Int,4)
			};
			parameters[0].Value = F_EvaluateId;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 批量删除数据
		/// </summary>
		public bool DeleteList(string F_EvaluateIdlist )
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_FaultRepair_Evaluate ");
			strSql.Append(" where F_EvaluateId in ("+F_EvaluateIdlist + ")  ");
			int rows=DbHelperSQL.ExecuteSql(strSql.ToString());
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_FaultRepair_Evaluate GetModel(int F_EvaluateId)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 F_EvaluateId,F_WorkOrderCode,F_Attitude,F_Quality,F_EvaluateContent,F_EvaluationTime,F_Evaluator,F_Isdelete,F_UpdateTime,F_Efficiency from T_FaultRepair_Evaluate ");
			strSql.Append(" where F_EvaluateId=@F_EvaluateId");
			SqlParameter[] parameters = {
					new SqlParameter("@F_EvaluateId", SqlDbType.Int,4)
			};
			parameters[0].Value = F_EvaluateId;

			Model.T_FaultRepair_Evaluate model=new Model.T_FaultRepair_Evaluate();
			DataSet ds=DbHelperSQL.Query(strSql.ToString(),parameters);
			if(ds.Tables[0].Rows.Count>0)
			{
				return DataRowToModel(ds.Tables[0].Rows[0]);
			}
			else
			{
				return null;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_FaultRepair_Evaluate DataRowToModel(DataRow row)
		{
            RMYY_CallCenter_Api.Model.T_FaultRepair_Evaluate model=new RMYY_CallCenter_Api.Model.T_FaultRepair_Evaluate();
			if (row != null)
			{
				if(row["F_EvaluateId"]!=null && row["F_EvaluateId"].ToString()!="")
				{
					model.F_EvaluateId=int.Parse(row["F_EvaluateId"].ToString());
				}
				if(row["F_WorkOrderCode"]!=null)
				{
					model.F_WorkOrderCode=row["F_WorkOrderCode"].ToString();
				}
				if(row["F_Attitude"]!=null && row["F_Attitude"].ToString()!="")
				{
                    model.F_Attitude = int.Parse(row["F_Attitude"].ToString());
                }
                if (row["F_Quality"] != null && row["F_Quality"].ToString() != "")
                {
                    model.F_Quality = int.Parse(row["F_Quality"].ToString());
                }

                if (row["F_Efficiency"] != null && row["F_Efficiency"].ToString() != "")
                {
                    model.F_Efficiency = int.Parse(row["F_Efficiency"].ToString());
                }


                if (row["F_EvaluateContent"] != null)
                {
                    model.F_EvaluateContent = row["F_EvaluateContent"].ToString();
                }
                if (row["F_EvaluationTime"]!=null && row["F_EvaluationTime"].ToString()!="")
				{
					model.F_EvaluationTime=DateTime.Parse(row["F_EvaluationTime"].ToString());
				}
				if(row["F_Evaluator"]!=null)
				{
					model.F_Evaluator=row["F_Evaluator"].ToString();
				}
				if(row["F_Isdelete"]!=null && row["F_Isdelete"].ToString()!="")
				{
					model.F_Isdelete=int.Parse(row["F_Isdelete"].ToString());
				}
				if(row["F_UpdateTime"]!=null && row["F_UpdateTime"].ToString()!="")
				{
					model.F_UpdateTime=DateTime.Parse(row["F_UpdateTime"].ToString());
				}
			}
			return model;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select F_EvaluateId,F_WorkOrderCode,F_Attitude,F_Quality,F_EvaluateContent,F_EvaluationTime,F_Evaluator,F_Isdelete,F_UpdateTime ,F_Efficiency");
			strSql.Append(" FROM T_FaultRepair_Evaluate ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" F_EvaluateId,F_WorkOrderCode,F_Attitude,F_Quality,F_EvaluateContent,F_EvaluationTime,F_Evaluator,F_Isdelete,F_UpdateTime,F_Efficiency ");
			strSql.Append(" FROM T_FaultRepair_Evaluate ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) FROM T_FaultRepair_Evaluate ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby );
			}
			else
			{
				strSql.Append("order by T.F_EvaluateId desc");
			}
			strSql.Append(")AS Row, T.*  from T_FaultRepair_Evaluate T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_FaultRepair_Evaluate";
			parameters[1].Value = "F_EvaluateId";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

		#endregion  BasicMethod
		#region  ExtensionMethod

		#endregion  ExtensionMethod
	}
}

